Moonborn — API · auth
Remove an enrolled MFA device
DELETE/v1/auth/mfa/{device_id}scope · Bearer (API key or session JWT)
Path parameters
| Field | Type | Description |
|---|---|---|
| device_idreq | string |
Responses
204Removed
422Validation error
Body
| Field | Type | Description |
|---|---|---|
| errorreq | object | |
| error.codereq | string | |
| error.messagereq | string |
Examples
cURL
curl -X DELETE https://api.moonborn.co/v1/auth/mfa/<device_id> \ -H "Authorization: Bearer $MOONBORN_API_KEY"
TypeScript
import Moonborn from '@moonborn/sdk';
const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });
const result = await client.auth.removeMfaDevice({
device_id: '<device_id>',
});Python
import os
from moonborn import Moonborn
client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"])
result = client.auth.remove_mfa_device(
device_id="<device_id>",
)